# Edit Protection Domain Information - ModifyWafDomainHostInfo

## Overview

Edit Protection Domain Information






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ModifyWafDomainHostInfo`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **SrcIP.N** | string | Origin IP Information |**Yes**|
| **WorkRegions** | string | Workspace, a subset of the areas purchased by the user, separated by commas, such as: cn-bj,cn-sh |**Yes**|
| **FullDomain** | string | The domain name being edited, either the domain name or record ID must be filled in. |**Yes**|
| **HTTPRedirection** | string | Use HTTP redirection, YES for allowed, NO for not allowed, only applicable under the condition of HTTPS:YES, HTTP:NO |No|
| **CertificateID** | int | HTTPS Certificate Number |No|
| **RealIPHeader** | string | Obtain the real client address field, used when docking with other proxies such as CDN. |No|
| **WorkMode** | string | Working Mode, Defence: Enable Protection Rules, Alarm: Record without Blocking, Inactive: Allow |No|
| **SrcLBMode** | string | Origin server load balancing strategy, default is Round Robin (RR), options include: IpHash, RR |No|
| **HTTPBack** | string | Use HTTPS offloading, YES/NO |No|
| **SourceIndicate** | string | Traffic tagging, format as key:value |No|
| **Http2** | string | Enable HTTP2? YES to enable, others to disable. |No|
| **ResponseCacheSwitch** | string | Response Cache Switch |No|
| **MultipartSwitch** | string | Multipart Switch |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.genesissai.com/?Action=ModifyWafDomainHostInfo
&ProjectId=org-xxx
&FullDomain=https://www.test.com
&SrcIP.0=1.2.3.4
&HTTPRedirection=NO
&WorkRegions=cn-gd
&CertificateID=901
&SrcLBMode=DfNrprLO
&ExclusiveIP=xkvjMcYC
&HTTPBack=BaGctxQr
&SourceIndicate=ujgtWtgv
&Http2=GflwpFWX
&SrcLBMode=PyEXCDhq
&ExclusiveIP=qULJKwfz
&HTTPBack=nwZwcGph
&SourceIndicate=iQFxvibV
&Http2=UoBLDSDW
&HTTPBack=wmknwfoB
&SourceIndicate=eACxSxPo
&Http2=gPuUkRlP
&ResponseCacheSwitch=DRzFrCji
&MultipartSwitch=vRZzrJQp
```

### Response Example
    
```json
{
  "Action": "ModifyWafDomainHostInfoResponse",
  "RetCode": 0
}
```





